import "./App.css";
import { ChakraProvider, CircularProgress } from "@chakra-ui/react";
import useModelStore from "@/store/useModelStore.ts";
import ThreeScene from "@/components/ThreeScene.tsx";
import RightPanel from "@/components/RightPanel.tsx";

function App() {
  const modelLoading = useModelStore((state) => state.modelLoading);
  return (
    <ChakraProvider>
      <div className={"relative flex h-screen w-screen"}>
        {/*<ThreeDesigner />*/}
        <div className={"flex-[5] shrink-0"}>
          <ThreeScene />
        </div>
        <div className={"flex-[2] shrink-0 bg-blue-50 p-4"}>
          <RightPanel />
        </div>
        {/* <AreaIndicator /> */}
        {modelLoading !== 0 && modelLoading !== 100 && (
          <div
            className={
              "absolute left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2"
            }
          >
            <CircularProgress value={modelLoading} />
          </div>
        )}
      </div>
    </ChakraProvider>
  );
}

export default App;
