import { models } from "@/constant/models.ts";
import useModelStore from "@/store/useModelStore.ts";
import styles from "./AreaIndicator.module.scss";

const AreaIndicator = () => {
  const activeModel = useModelStore((state) => state.activeModel);
  const activeArea = useModelStore((state) => state.activeArea);
  const setActiveArea = useModelStore((state) => state.setActiveArea);
  return (
    <div
      className={
        "absolute left-2 top-1/2 flex -translate-y-1/2 flex-col items-center justify-center rounded bg-red-200 p-2 shadow-lg transition-shadow hover:shadow-2xl"
      }
    >
      {models[activeModel].mesh.map((item, index) => (
        <div
          onClick={() => {
            setActiveArea(index);
          }}
          className={`${styles.modelAreaItem} ${
            activeArea === index ? "border-2 border-green-300" : ""
          } h-12 w-12 overflow-hidden rounded transition-all`}
          key={item.name}
        >
          <img
            src={item.icon}
            className={"h-full w-full object-cover"}
            alt={""}
          />
        </div>
      ))}
    </div>
  );
};

export default AreaIndicator;
