import useModelStore, { DecalSticker } from "@/store/useModelStore";
import { Decal, useTexture } from "@react-three/drei";
import { useState } from "react";

/**
 * logo 和文字标签
 * @param param0
 * @returns
 */
const Sticker = ({ decal }: { decal: DecalSticker }) => {
    const sticker = useTexture(decal.url);
    const [scale, setScale] = useState(0.05);
    const setDecalDragging = useModelStore((state) => state.setDecalDragging);
    const setActiveDecal = useModelStore((state) => state.setActiveDecal);
    return (
        <Decal
            position={decal.postion}
            scale={scale}
            onPointerDown={(ev) => {
                ev.stopPropagation();
                setActiveDecal(decal.id)
                setDecalDragging(true);
            }}
            onPointerUp={(ev) => {
                ev.stopPropagation();
                setDecalDragging(false);
            }}
            // onWheel={(ev) => {
            //     ev.stopPropagation()
            //     setDecalDragging(true)
            //     console.log(ev);

            //     // setScale((state) => state += 1)
            // }}
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            // @ts-expect-error
            rotation={Math.PI}
        >
            <meshPhysicalMaterial
                transparent
                polygonOffset
                polygonOffsetFactor={-10}
                map={sticker}
                map-flipY={false}
                map-anisotropy={16}
                iridescence={1}
                iridescenceIOR={1}
                iridescenceThicknessRange={[0, 1400]}
                roughness={1}
                clearcoat={0.5}
                metalness={0.75}
                toneMapped={false}
            />
        </Decal>
    );
};

export default Sticker;
