import useModelStore from "@/store/useModelStore.ts";
import { textures } from "@/constant/textures.ts";
// import CanvasTexturesEditor from "@/components/CanvasTexturesEditor.tsx";
import { useState } from "react";
import { Divider, IconButton } from "@chakra-ui/react";
import { AddIcon } from "@chakra-ui/icons";
import TexturesEditor from "@/components/TexturesEditor.tsx";

const TextureSelector = () => {
  const { activeTextures, setActiveTextures, activeArea } = useModelStore();
  // eslint-disable-next-line no-empty-pattern
  const [showEditor, setShowEditor] = useState(false);
  return (
    <>
      <div
        className={
          "absolute bottom-2 left-1/2 flex -translate-x-1/2 items-center rounded-lg bg-red-200 px-4 py-2"
        }
      >
        <span className={"text-xs"}>纹理选择</span>
        {textures.map((item, index) => (
          <div
            onClick={() => {
              // setActiveTexture(index);
              setActiveTextures(activeArea, index);
            }}
            className={`${
              activeTextures[activeArea] === index
                ? "border-2 border-green-300"
                : ""
            } mx-1 h-12 w-12 origin-bottom overflow-hidden rounded transition-all hover:mx-4 hover:scale-150`}
            key={item.path}
          >
            <img className={"object-cover"} src={item.path} alt={""} />
          </div>
        ))}
        <Divider orientation="vertical" />
        <IconButton
          className={"ml-4"}
          aria-label={""}
          icon={<AddIcon />}
          onClick={() => {
            setShowEditor(() => true);
          }}
        ></IconButton>
      </div>
      <TexturesEditor
        isOpen={showEditor}
        onClose={() => {
          setShowEditor(() => false);
        }}
      />
    </>
  );
};

export default TextureSelector;
