export const pickFile = (options: {
  accept: string[];
  multiple?: boolean;
}): Promise<File[]> =>
  new Promise((resolve, reject) => {
    const { accept } = options;
    const inputEl = document.createElement("input");
    inputEl.type = "file";
    inputEl.multiple = options?.multiple ?? false;
    inputEl.accept = accept.join(",");
    inputEl.click();
    inputEl.onchange = (e) => {
      const files = (e.target as HTMLInputElement).files;
      const fileList = [];
      if (files) {
        for (const file of files) {
          const customFile = file;
          fileList.push(customFile);
        }
        resolve(fileList);
      } else {
        reject();
      }
    };
  });
